#! /bin/ksh
. ~/obackup______/set_locale.sh
export OBK_TYPE=dbfile
export obackup_tape_CLASS=obackup_normal_asap_db
export obackup_tape_SCHED=obackup_normal_asap_db
export OBK_SCRIPT=$OBK______/scripts/$OBK_TYPE.backup
print Enter the file names to be backed up
print File names must be quoted and comma separated
print For example:
print "/oracle/$ORACLE_SID/sapraw/patrol_1"
read FILENAMES
export OBK_LOG="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).log"
export OBK_TRACE="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).trc"
cat <<EOF > $OBK_SCRIPT
backup online dbfile=$FILENAMES
archivelog=none
param="$OBK______/param.file"
parallel=1
db_name="$ORACLE_DB"
log="$OBK_LOG"
trace="$OBK_TRACE"
EOF
ebu $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
if [[ $(grep -i -c "BACKUP job SUCCESSFUL" $OBK_TRACE) = 0 ]]
  then
    mailx -s "$ORACLE_SID OEBU Backup Failed" _@_____.com _@_____.com _@_____.com <$OBK_TRACE
fi
find $OBK_HOME/log -name "*.trc" -mtime +8 -exec rm {} \;
find $OBK_HOME/log -name "*.log" -mtime +8 -exec rm {} \;
find /usr/openv/netbackup/logs/obackup_tape  -name "log.*" -mtime +8 -exec rm {} \;
