#! /bin/ksh
. ~/obackup____/set_locale.sh
export obackup_tape_CLASS=obackup_normal_asap_db
export obackup_tape_SCHED=obackup_normal_asap_db
export OBK_TYPE=hot
export OBK_SCRIPT=$OBK____/scripts/$OBK_TYPE.backup
###############################################################
#                                                             #
# Build the obackup script                                    #
#                                                             #
###############################################################
export OBK_LOG="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).log"
export OBK_TRACE="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).trc"
cat <<EOF2 > $OBK_SCRIPT
backup online database
param="$OBK____/param.file"
parallel=5
archdelete
db_name="$ORACLE_DB"
oracle_sid="$ORACLE_SID"
log="$OBK_LOG"
trace="$OBK_TRACE"
EOF2
###############################################################
#                                                             #
# Start the backup                                            #
#                                                             #
###############################################################
obackup $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
if [[ $(grep -i -c "BACKUP job SUCCESSFUL" $OBK_TRACE) = 0 ]]
  then
    mailx -s "$ORACLE_SID OEBU Backup Failed" _____@___.com ______@___.com  _____@___.com<$OBK_TRACE
fi
find $OBK_HOME/log -name "*.trc" -mtime +8 -exec rm {} \;
find $OBK_HOME/log -name "*.log" -mtime +8 -exec rm {} \;
find /usr/openv/netbackup/logs/obackup_tape  -name "log.*" -mtime +8 -exec rm {} \;
