#! /bin/ksh
. /oracle/B00/obackup______/set_locale.sh
export obackup_tape_CLASS=obackup_normal_restore
export obackup_tape_SCHED=obackup_normal_restore
export OBK_TYPE=files
export OBK_SCRIPT=$OBK______/scripts/$OBK_TYPE.recovery
print Enter the file names for file recovery
print File names must be quoted and comma separated
read DB_FILES
cat <<EOF > $OBK_SCRIPT
restore dbfile=$DB_FILES
backup_host="cceconf"
parallel=1
db_name="$ORACLE_DB"
oracle_sid="$ORACLE_SID"
to="01/09/1999 22:51:00"
log="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).log"
trace="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).trc"
EOF
obackup $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
