#! /bin/ksh
. ~/obackup______/set_locale.sh
export obackup_tape_CLASS=obackup_normal_restore
export obackup_tape_SCHED=obackup_normal_restore
export OBK_TYPE=pfile
export OBK_SCRIPT=$OBK______/scripts/$OBK_TYPE.recovery
cat <<EOF > $OBK_SCRIPT
restore pfile
param="$OBK______/param.file"
parallel=1
db_name="$ORACLE_DB"
oracle_sid="$ORACLE_SID"
log="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).log"
trace="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).trc"
EOF
obackup $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
