#! /bin/ksh
. ~/obackup______/set_locale.sh
export obackup_tape_CLASS=obackup_normal_restore
export obackup_tape_SCHED=obackup_normal_restore
export OBK_TYPE=point_in_time
export OBK_SCRIPT=$OBK______/scripts/$OBK_TYPE.backup
print Enter the date and time for a point-in-time recovery
print MM/DD/YYYY HH:MI:SS
read TO_DATE_TIME
cat <<EOF > $OBK_SCRIPT
restore database
param="$OBK______/param.file"
parallel=5
db_name="$ORACLE_DB"
oracle_sid="$ORACLE_SID"
to="$TO_DATE_TIME"
log="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).log"
trace="$OBK_HOME/log/$OBK_TYPE.$(date +%Y%m%d%H%M%S).trc"
EOF
obackup $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
